<?php
require_once("../../../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/componentes/construtor/src/model/bd/Coluna_bdDAO.php");
require_once($config->diretorio_raiz()."/componentes/construtor/src/model/bd/Tabela_bdDAO.php");
require_once($config->diretorio_raiz()."/componentes/construtor/src/model/bd/Carga_tabela_bdDAO.php");
require_once($config->diretorio_raiz()."/componentes/construtor/src/model/bd/Carga_tabela_bdDAO.php");
$coluna_bdDAO = new Coluna_bdDAO();
$tabela_bdDAO = new Tabela_bdDAO();
$carga_tabela_bdDAO = new Carga_tabela_bdDAO();
if (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	$listaCargaTabela = $carga_tabela_bdDAO->listarCargaTabelas($_GET["idTabela"]);
	include_once($config->diretorio_raiz()."/componentes/construtor/src/view/Listar_carga_tabela_bd.php");
	
} elseif (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	$_carga_tabela_bd = $carga_tabela_bdDAO->listarCargaTabela($_GET["id"]);
	$listaTabelas = $tabela_bdDAO->listarTabelas();
	include_once($config->diretorio_raiz()."/componentes/construtor/src/view/Formulario_carga_tabela.php");
} 	
elseif (isset($_GET["mod"]) && $_GET["mod"] == "novo")
{
	$_carga_tabela_bd = new  Carga_tabela_bd();
	$_carga_tabela_bd->setTabela($tabela_bdDAO->listarTabela($_GET["idTabela"]));
	$_carga_tabela_bd->setTabelaCarregada(new Tabela_bd());
	
	$listaTabelas = $tabela_bdDAO->listarTabelas();
	include_once($config->diretorio_raiz()."/componentes/construtor/src/view/Formulario_carga_tabela.php");
}elseif (isset($_GET["mod"]) && $_GET["mod"] == "salvar")
{
	$_carga_tabela_bd = new  Carga_tabela_bd();
	$_carga_tabela_bd->setTabela($tabela_bdDAO->listarTabela($_POST["tabela"]));
	$_carga_tabela_bd->setDescricao($_POST["descricao"]);
	$_carga_tabela_bd->setTabelaCarregada($tabela_bdDAO->listarTabela($_POST["tabela_carregada"]));	
	
	if (!isset($_POST["id"]))
	{
		try 
		{
			$carga_tabela_bdDAO->salvarCargaTabela($_carga_tabela_bd);
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = true;			
		}
	}
	else
	{
		$_carga_tabela_bd->setId($_POST["id"]);
		try 
		{
			$carga_tabela_bdDAO->atualizarCargaTabela($_carga_tabela_bd);
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = true;			
		}
	}	
	echo json_encode($retorno);
	
}elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try 
	{
				
		$_carga_tabela_bd = $carga_tabela_bdDAO->listarCargaTabela($_GET["id"]);
		$carga_tabela_bdDAO->excluirCargaTabela($_carga_tabela_bd);
		$retorno["mensagem"] = "Excluído com sucesso!";
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = true;			
	}
	echo json_encode($retorno);
}elseif (isset($_GET["mod"]) && $_GET["mod"] == "combobox")
{
	$listaColunas = $coluna_bdDAO->listarColunas($_GET["idTabela"]);
	include_once($config->diretorio_raiz()."/componentes/construtor/src/view/Combobox_coluna_bd.php");
	
}
	



